﻿using MapHighDensity.Models;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MapHighDensity.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            return View();
        }
        public ActionResult MVC()
        {
            var path = Server.MapPath("~/Content/earthquakes.js");
            var quakes = JsonConvert.DeserializeObject<List<EarthQuake>>(System.IO.File.ReadAllText(path).Split(new string[] { "var events ="}, StringSplitOptions.None).Last().TrimEnd(';'));
            return View(quakes.AsQueryable());
        }
    }
}
